<?php
/*
# mod_sp_rokgallery
# Author    JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2014 JoomShaper.com. All Rights Reserved.
# License - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com
*/

jimport('joomla.filesystem.file');
jimport('joomla.image.image.php');

class modSpRokgalleryHelper
{
	public static function getAjax()
	{
		jimport('joomla.application.module.helper');
		$input  		= JFactory::getApplication()->input;
		$module 		= JModuleHelper::getModule('sp_rokgallery');
		$params 		= new JRegistry();
		$params->loadString($module->params);

		//inputs
		$inputs 		= $input->get('data', array(), 'ARRAY');

		if ( $inputs['ordering'] == 'viewed' ) {

			$order='b.kount';
		}
		elseif ( $inputs['ordering'] == 'loved' ) {
			$order='c.kount';
		}
		else
		{
			$order='a.created_at';
		}


		$rnd_arr = array(0,3,6,9);

		$items = self::getItems($inputs['start'], $inputs['count'], $order, $rnd_arr[ rand(0,3) ]);

		$total = 0;
		$count = 0;
		$btn_class = '';

		ob_start();

		require_once JModuleHelper::getLayoutPath('mod_sp_rokgallery', $params->get('layout', 'default'));

		return ob_get_clean();

	}


	public static function getItems($start=0, $limit=9, $order='a.created_at', $i=0)
	{
		$db 	= JFactory::getDbo();
		$query 	= $db->getQuery(true);

		$query
		->select($db->quoteName(array('a.id', 'a.file_id', 'a.gallery_id', 'a.created_at', 'a.published', 'a.slug', 'd.filename', 'd.guid', 'd.title', 'd.description')))
		->select($db->quoteName('b.kount', 'views'))
		->select($db->quoteName('c.kount', 'loves'))
		->from($db->quoteName('#__rokgallery_slices', 'a'))
		->join('LEFT', $db->quoteName('#__rokgallery_files', 'd') . ' ON (' . $db->quoteName('a.file_id') . ' = ' . $db->quoteName('d.id') . ')')
		->join('LEFT', $db->quoteName('#__rokgallery_file_views', 'b') . ' ON (' . $db->quoteName('a.file_id') . ' = ' . $db->quoteName('b.file_id') . ')')
		->join('LEFT', $db->quoteName('#__rokgallery_file_loves', 'c') . ' ON (' . $db->quoteName('a.file_id') . ' = ' . $db->quoteName('c.file_id') . ')')
		->where($db->quoteName('a.published') . ' = 1')
		->where($db->quoteName('a.gallery_id') . ' != ""')
		->order($db->quoteName($order) . ' DESC');

		$db->setQuery($query, $start, $limit);

		$items 	= $db->loadObjectList();

		$sizes = array(
			'large 	= 800x520',
			'large 	= 800x520',
			'small 	= 400x520',

			'small 	= 400x520',
			'large 	= 800x520',
			'large 	= 800x520',

			'large 	= 800x520',
			'small 	= 400x520',
			'large 	= 800x520',

			'small 	= 400x520',
			'large 	= 800x520',
			'large 	= 800x520'
		);

		foreach ($items as &$item)
		{
			self::crop( RokGallery_Helper::getPathFromGUID($item->guid, '/') . '/' . $item->filename );

			$array = explode('=', $sizes[ $i ]);

			$item->cssClass = $array[0]; 
			$item->full_image = JURI::base(true) . '/media/rokgallery/' . RokGallery_Helper::getPathFromGUID($item->guid, '/') . '/' . $item->filename;
			$item->image = JURI::base(true) . '/media/rokgallery/' . RokGallery_Helper::getPathFromGUID($item->guid, '/') . '/thumbs/' . JFile::stripExt( $item->filename ) . '_' . trim($array[1]) . '.' . JFile::getExt( $item->filename );

			if( empty($item->views) )
			{
				$item->views = 0;
			}

			if( empty($item->loves) )
			{
				$item->loves = 0;
			}

			//Link
			$item->link = JRoute::_('index.php?option=com_rokgallery&view=detail&id='. $item->id .'&Itemid=' . self::getItemid( $item->gallery_id ));
			$item->gallery = self::getGallery($item->gallery_id);
			$item->gallery_link = JRoute::_('index.php?option=com_rokgallery&view=gallery&Itemid=' . self::getItemid( $item->gallery_id ));

			$i++;

			if( $i == count($sizes) )
			{
				$i=0;
			}
		}

		return $items;
	}

	private static function getGallery($gallery_id)
	{

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->
			select('name')
			->from($db->quoteName('#__rokgallery_galleries'))
			->where($db->quoteName('id') . ' = ' . $gallery_id);

		$db->setQuery($query);
		return $db->loadResult();
	}


	private static function getItemid($slice_id)
	{

		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->
		select('id, params')
		->from($db->quoteName('#__menu'))
		->where($db->quoteName('published') . ' = 1')
		->where($db->quoteName('link') . ' ="index.php?option=com_rokgallery&view=gallery"');

		$db->setQuery($query);
		$results = $db->loadObjectList();

		foreach ($results as $key => $result) {
			$newParam = json_decode($result->params);

			if( $newParam->gallery_id == $slice_id )
			{
				return $result->id;
			}

		}

		return false;
	}

	public static function getTotal()
	{
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->
			select('COUNT(a.id)')
			->from($db->quoteName('#__rokgallery_slices', 'a'))
			->join('LEFT', $db->quoteName('#__rokgallery_files', 'b') . ' ON (' . $db->quoteName('a.file_id') . ' = ' . $db->quoteName('b.id') . ')')
			->where($db->quoteName('a.gallery_id') . ' != ""')
			->where($db->quoteName('a.published') . ' = 1');

		$db->setQuery($query);
		return $db->loadResult();
	}


	private static function crop($image_to_resize)
	{
		
		$image_path = JPATH_ROOT . '/media/rokgallery/' . $image_to_resize;

		$sizes = array(
			'large' 	=> '800x520',
			'small' 	=> '400x520'
		);

		foreach ($sizes as $size)
		{
			$newsize = array( $size );

			$file_name 			= JFile::stripExt(basename($image_to_resize));
			$file_ext 			= JFile::getExt($image_to_resize);
			$thumb_file_name 	= dirname($image_path) . '/thumbs/' . $file_name . '_' . $size . '.' . $file_ext;

			if(!file_exists($thumb_file_name))
			{
				$image = new JImage( $image_path );
				$image->createThumbs($newsize, 4);
			}

		}

	}


}