<?php
/**
 * @package Helix Framework
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2013 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/

    defined('_JEXEC') or die;

    $this->helix = Helix::getInstance();

    if (!isset($this->error))
    {
        $this->error = JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
        $this->debug = false;
    }
    //get language and direction
    $doc = JFactory::getDocument();
    $this->language = $doc->language;
    $this->direction = $doc->direction;

    $this->helix->getDocument()->setTitle($this->error->getCode() . ' - '.$this->title);

    $this->helix->header()->addLess('error', 'error');

    $header_contents = '';
    if (!class_exists('JDocumentRendererHead')) {
        $head = JPATH_LIBRARIES . '/joomla/document/html/renderer/head.php';
        if (file_exists($head)) {
            require_once($head);
        }
    }
    $header_renderer = new JDocumentRendererHead($doc);
    $header_contents = $header_renderer->render(null);
	
?><!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"  lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"  lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"  lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="<?php echo $this->language; ?>"> <!--<![endif]-->
<head>
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<?php echo $header_contents; ?>
</head>
<body<?php echo $this->helix->bodyClass('bg clearfix'.' error_page'); ?>>
	<div id="error-page">
        <div class="fill row-fluid">
            <div class="error-logo-wrapper span5">
                <div class="error-logo"></div>
                <div class="error-social">
                    <ul class="social-icons">
                        <?php
                        if( $this->helix->Param('facebook') ||
                            $this->helix->Param('twitter') ||
                            $this->helix->Param('googleplus') ||
                            $this->helix->Param('pinterest') ||
                            $this->helix->Param('linkedin') ||
                            $this->helix->Param('dribbble') ||
                            $this->helix->Param('youtube') ||
                            $this->helix->Param('vimeo') ||
                            $this->helix->Param('skype') ||
                            $this->helix->Param('flickr') ){
                                $output = '<div class="social-media">';
                                $output .= '<ul class="social-icons">';

                                if($this->helix->Param('facebook')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('facebook') . '"><i class="icon-facebook"></i></a></li>';
                                }

                                if($this->helix->Param('twitter')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('twitter') . '"><i class="icon-twitter"></i></a></li>';
                                }

                                if($this->helix->Param('googleplus')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('googleplus') . '"><i class="icon-google-plus"></i></a></li>';
                                }

                                if($this->helix->Param('pinterest')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('pinterest') . '"><i class="icon-pinterest"></i></a></li>';
                                }

                                if($this->helix->Param('linkedin')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('linkedin') . '"><i class="icon-linkedin"></i></a></li>';
                                }

                                if($this->helix->Param('dribbble')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('dribbble') . '"><i class="icon-dribbble"></i></a></li>';
                                }

                                if($this->helix->Param('youtube')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('youtube') . '"><i class="icon-youtube"></i></a></li>';
                                }

                                if($this->helix->Param('flickr')){
                                    $output .= '<li><a target="_blank" href="' . $this->helix->Param('flickr') . '"><i class="icon-flickr"></i></a></li>';
                                }

                                $output .='</ul>';
                                $output .='</div>';

                            echo $output;
                        }
                        ?>
                    </ul>

                </div>
            </div>
            <div class="error-content-wrapper span7">
                <div class="center">
                    <div class="error-icon"></div>
                </div>
                <div class="error-content">
                    <h3><?php echo $this->error->getMessage(); ?></h3>
                    <a href="<?php echo $this->baseurl; ?>/index.php" class="back-to-home"><?php echo JText::_('Home'); ?></a>

                </div>
            </div>
         </div>

	</div>
</body>
</html>